Index: build_tools/jenkins_linux_build.sh
===================================================================
--- build_tools/jenkins_linux_build.sh	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
+++ build_tools/jenkins_linux_build.sh	(revision b6f563b453d68103976c2410f81c4ca841e12d67)
@@ -1,28 +1,76 @@
-#! /bin/sh
+export PATH=$PATH:/usr/local/bin/
 
-# try to find reasonable settings, if not provided in the environment
 PYTHON=${PYTHON:-`which python`}
 EASY_INSTALL=${EASY_INSTALL:-`which easy_install`}
 PYLINT=${PYLINT:-`which pylint`}
-BUILD_TOOLS_DIR=`dirname $0`
-WORKSPACE=${WORKSPACE:-`readlink -f $BUILD_TOOLS_DIR/..`}
-# WORKSPACE top level of source
+
+export PYTHONPATH=$PYTHONPATH:$WORKSPACE/sasview/utils
+export PYTHONPATH=$PYTHONPATH:$WORKSPACE/sasview/sasview-install
+
 
 cd $WORKSPACE
+
+# SASMODLES
+cd $WORKSPACE
+cd sasmodels
+
+rm -rf build
+rm -rf dist
+
+$PYTHON setup.py clean
+$PYTHON setup.py build
+
+
+# SASMODLES - BUILD DOCS
+cd  doc
+make html
+
+cd $WORKSPACE
+cd sasmodels
+$PYTHON setup.py bdist_egg
+
+
+# SASVIEW
+cd $WORKSPACE
+cd sasview
 rm -rf sasview-install
-mkdir sasview-install
+mkdir  sasview-install
+rm -rf utils
+mkdir  utils
 rm -rf dist
 rm -rf build
 
-"$EASY_INSTALL" -d "$WORKSPACE/utils" bumps==0.7.5.9
-"$EASY_INSTALL" -d "$WORKSPACE/utils" periodictable==1.3.0
 
-export PYTHONPATH=$WORKSPACE/sasview-install:$WORKSPACE/utils:$PYTHONPATH
+# INSTALL SASMODELS
+cd $WORKSPACE
+cd sasmodels
+cd dist
+$EASY_INSTALL -d $WORKSPACE/sasview/utils sasmodels*.egg
 
-$PYTHON check_packages.py
-$PYTHON setup.py bdist_egg
 
-cd $WORKSPACE/dist
-# ln -s sasview*.egg sasview.egg || true
-$EASY_INSTALL -N -d ../sasview-install sasview*.egg
+# BUILD SASVIEW
+cd $WORKSPACE
+cd sasview
+$PYTHON setup.py clean
+$PYTHON setup.py build docs bdist_egg
 
+
+# INSTALL SASVIEW
+cd $WORKSPACE
+cd sasview
+cd dist
+$EASY_INSTALL -d $WORKSPACE/sasview/sasview-install sasview*.egg
+
+
+# TEST
+cd $WORKSPACE
+cd sasview
+cd test
+$PYTHON utest_sasview.py
+
+# PYLINT
+cd $WORKSPACE
+cd sasview
+$PYLINT --rcfile "build_tools/pylint.rc" -f parseable sasview-install/sasview*.egg/sas sasview | tee  test/sasview.txt
+
+
Index: ild_tools/jenkins_win32_py27_build.bat
===================================================================
--- build_tools/jenkins_win32_py27_build.bat	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
+++ 	(revision )
@@ -1,41 +1,0 @@
-cd %WORKSPACE%
-set PYTHON=c:\python27\python
-set EASY_INSTALL=c:\python27\scripts\easy_install.exe
-set NEXUSDIR="C:\Program Files (x86)\NeXus Data Format\"
-set PATH=c:\python27;c:\mingw\bin;%PATH%
-
-REM echo %GIT_REVISION%> git_revision.txt
-
-%PYTHON% check_packages.py
-
-set PYTHONPATH=%WORKSPACE%\sansview-install;%PYTHONPATH%
-
-RD /S /Q sansview-install
-MD sansview-install
-RD /S /Q dist
-RD /S /Q build
-
-rem %PYTHON% -m pip install -t ../sansview-install --no-deps bumps=0.7.5.9
-rem PYTHON% -m pip install -t ../sansview-install --no-deps periodictable=1.3.0
-rem %PYTHON% -m pip install -t ../sansview-install --no-deps pyparsing=1.5.5
-
-%PYTHON% setup.py build -cmingw32
-
-cd %WORKSPACE%
-%PYTHON% setup.py docs
-
-cd %WORKSPACE%
-%PYTHON% setup.py bdist_egg --skip-build
-cd dist
-%EASY_INSTALL% -d ..\sansview-install sasview*.egg
-
-cd %WORKSPACE%\test
-%PYTHON% utest_sasview.py
-
-cd %WORKSPACE%\sasview
-python setup_exe.py py2exe
-python installer_generator.py
-"C:\Program Files (x86)\Inno Setup 5\ISCC.exe" installer.iss
-
-cd Output
-xcopy setupSasView.exe %WORKSPACE%\dist
Index: ild_tools/jenkins_win_pylint.bat
===================================================================
--- build_tools/jenkins_win_pylint.bat	(revision 3a7047da7bc30f45445771a105eb4d774163e16a)
+++ 	(revision )
@@ -1,13 +1,0 @@
-
-set PYTHON=c:\Python27\python
-set EASY_INSTALL=c:\python27\scripts\easy_install.exe
-set PATH=c:\python27;c:\mingw\bin;%PATH%
-set PYLINT=c:\python27\scripts\pylint
-
-set PYTHONPATH=%WORKSPACE%\sasview-install;%PYTHONPATH%
-
-
-cd %WORKSPACE%
-%PYLINT% --rcfile "%WORKSPACE%cd /build_tools/pylint.rc" -f parseable sasview-install/sasview*.egg/sas sasview > test/sasview.txt
-
-cd %WORKSPACE%
